VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2670
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6360
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   6360
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtUrl 
      Height          =   285
      Left            =   960
      TabIndex        =   4
      Top             =   1800
      Width           =   5295
   End
   Begin VB.TextBox txtDatabase 
      Height          =   285
      Left            =   960
      TabIndex        =   3
      Top             =   120
      Width           =   5295
   End
   Begin VB.CommandButton cmdGetXmlData 
      Caption         =   "Get XML Data"
      Height          =   375
      Left            =   2520
      TabIndex        =   1
      Top             =   2160
      Width           =   1335
   End
   Begin VB.CommandButton cmdMakeXmlFile 
      Caption         =   "Make XML File"
      Height          =   375
      Left            =   2520
      TabIndex        =   0
      Top             =   480
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "Create the XML file. Then copy it to your Web site and enter the URL where you place it in the TextBox below."
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   1200
      Width           =   6135
   End
   Begin VB.Label Label1 
      Caption         =   "URL"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   5
      Top             =   1800
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Database"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdGetXmlData_Click()
Dim rs As ADODB.Recordset
Dim i As Integer

    Set rs = New ADODB.Recordset
    rs.Open txtUrl.Text, "Provider=MSPersist;", _
         adOpenStatic, adLockReadOnly

    rs.MoveLast ' Can find little errors that can crop up.
    rs.MoveFirst

    Debug.Print "********************"
    Do Until rs.EOF
        For i = 0 To rs.Fields.Count - 1
            Debug.Print rs.Fields(i) & " ";
        Next i
        Debug.Print
        rs.MoveNext
    Loop

    rs.Close
    MsgBox "Ok"
End Sub

Private Sub cmdMakeXmlFile_Click()
Dim db_name As String
Dim conn As ADODB.Connection
Dim rs As ADODB.Recordset
Dim dom_document As DOMDocument

    ' Get the database's name.
    db_name = txtDatabase.Text

    ' Open the connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Persist Security Info=False;" & _
        "Data Source=" & db_name
    conn.Open

    ' Open the Recordset.
    Set rs = conn.Execute("SELECT * FROM Books ORDER BY Title")

    ' Save the data into a DOMDocument.
    Set dom_document = New DOMDocument
    rs.Save dom_document, adPersistXML

    rs.Close
    conn.Close

    ' Save the XML data into an XML file.
    db_name = Replace$(db_name, ".mdb", ".xml")
    dom_document.Save db_name
    MsgBox "Now move the XML file to a HTTP site."
End Sub

Private Sub Form_Load()
Dim db_name As String

    ' Set the database's name.
    db_name = App.Path
    If Right$(db_name, 1) <> "\" Then db_name = db_name & "\"
    txtDatabase.Text = db_name & "books.mdb"
    txtUrl.Text = db_name & "books.xml"
End Sub
